HGL-3.2.0.2: A simple graphics library based on X11 or Win32

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | None

Graphics.HGL.Key

Description

Abstract representation of keys.

Synopsis

- data Key
- keyToChar :: Key -> Char
- isCharKey :: Key -> Bool
- isBackSpaceKey :: Key -> Bool
- isTabKey :: Key -> Bool
- isClearKey :: Key -> Bool
- isReturnKey :: Key -> Bool
- isEscapeKey :: Key -> Bool
- isDeleteKey :: Key -> Bool
- isHomeKey :: Key -> Bool
- isLeftKey :: Key -> Bool
- isUpKey :: Key -> Bool
- isRightKey :: Key -> Bool
- isDownKey :: Key -> Bool
- isPriorKey :: Key -> Bool
- isPageUpKey :: Key -> Bool
- isNextKey :: Key -> Bool
- isPageDownKey :: Key -> Bool
- isEndKey :: Key -> Bool
- isShiftLKey :: Key -> Bool
- isShiftRKey :: Key -> Bool
- isControlLKey :: Key -> Bool
- isControlRKey :: Key -> Bool

# Documentation

data Key Source

Instances

Show Key |

keyToChar :: Key -> Char Source

Converts a character key to a character.

isCharKey :: Key -> Bool Source

isBackSpaceKey :: Key -> Bool Source

isTabKey :: Key -> Bool Source

isClearKey :: Key -> Bool Source

isReturnKey :: Key -> Bool Source

isEscapeKey :: Key -> Bool Source

isDeleteKey :: Key -> Bool Source

isHomeKey :: Key -> Bool Source

isLeftKey :: Key -> Bool Source

isUpKey :: Key -> Bool Source

isRightKey :: Key -> Bool Source

isDownKey :: Key -> Bool Source

isPriorKey :: Key -> Bool Source

isPageUpKey :: Key -> Bool Source

isNextKey :: Key -> Bool Source

isPageDownKey :: Key -> Bool Source

isEndKey :: Key -> Bool Source

isShiftLKey :: Key -> Bool Source

isShiftRKey :: Key -> Bool Source

isControlLKey :: Key -> Bool Source

isControlRKey :: Key -> Bool Source